
/*  A Bison parser, made from src/as_tab.y
    by GNU Bison version 1.28  */

#define YYBISON 1  /* Identify Bison output.  */

#define	SYMBOL	257
#define	SECT_ID	258
#define	REG	259
#define	SREG	260
#define	NUMBER	261
#define	CHAR	262
#define	OP_3REG	263
#define	JAL	264
#define	J	265
#define	CALL	266
#define	RET	267
#define	SHIFT	268
#define	NOT	269
#define	CMP	270
#define	B	271
#define	INT	272
#define	OP16	273
#define	LO	274
#define	HI	275
#define	LO16	276
#define	HI16	277
#define	ASSIGN	278
#define	MOV	279
#define	LD	280
#define	ST	281
#define	LDS	282
#define	STS	283
#define	LDI	284
#define	MOVB	285
#define	LDB	286
#define	STB	287
#define	LDBI	288
#define	ADD	289
#define	ADDI	290
#define	SUB	291
#define	SUBI	292
#define	OR	293
#define	SETHI	294
#define	PUSH	295
#define	POP	296
#define	_ALIGN	297
#define	_BYTE	298
#define	_WORD	299
#define	_LONG	300
#define	_ASCIIZ	301
#define	_ASCII	302
#define	_STRING	303
#define	_ZSTRING	304
#define	_SPACE	305
#define	_GLOBAL	306
#define	_SET	307
#define	_FILE	308
#define	_LINE	309
#define	_COMM	310
#define	_LCOMM	311

#line 22 "src/as_tab.y"

#define YACC_VERSION \
   "parser $Revision: 1.15 $\n"

#line 27 "src/as_tab.y"
typedef union {
  unsigned long ul;
  char *string;
} YYSTYPE;
#ifndef YYDEBUG
#define YYDEBUG 1
#endif

#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		404
#define	YYFLAG		-32768
#define	YYNTBASE	81

#define YYTRANSLATE(x) ((unsigned)(x) <= 311 ? yytranslate[x] : 134)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,    58,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,    76,    69,    59,     2,    74,    75,    79,    67,
    68,    72,    65,    62,    66,     2,    73,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,    60,     2,    70,
    61,    71,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
    63,     2,    64,    78,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,    77,     2,    80,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
    17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
    27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
    47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
    57
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     3,     4,     8,    11,    13,    17,    18,    22,    26,
    27,    29,    31,    33,    35,    37,    39,    41,    43,    45,
    47,    49,    51,    53,    55,    57,    59,    61,    63,    65,
    67,    74,    79,    86,    91,    96,   103,   108,   113,   120,
   125,   130,   135,   140,   143,   146,   148,   153,   160,   167,
   176,   183,   192,   197,   200,   205,   212,   219,   224,   229,
   234,   239,   244,   247,   252,   257,   260,   263,   265,   267,
   269,   274,   281,   288,   293,   300,   307,   309,   311,   314,
   316,   320,   326,   334,   335,   338,   343,   345,   349,   353,
   363,   366,   367,   369,   373,   375,   378,   379,   381,   383,
   385,   389,   393,   399,   405,   409,   411,   413,   415,   419,
   423,   425,   430,   437,   444,   449,   452,   454,   457,   459,
   464,   467,   468,   474,   475,   481,   482,   488,   489,   495,
   500,   503,   505,   510,   515,   520,   523,   526,   529,   532,
   535,   540,   542,   546,   548,   550,   553,   554,   557,   559,
   562,   563,   565,   567,   570,   573,   575,   576,   579,   582,
   584,   585,   588,   592,   596,   598,   600,   604,   608,   612,
   616,   621,   626,   628,   632,   634,   638,   642,   646,   650,
   654,   658,   660,   664,   667,   670,   673,   677,   682,   687,
   692
};

static const short yyrhs[] = {    82,
    81,     0,     0,    84,    85,    83,     0,     1,    83,     0,
    58,     0,    59,   101,    58,     0,     0,   100,    60,    84,
     0,   100,    61,   131,     0,     0,    86,     0,    95,     0,
   109,     0,   110,     0,   100,     0,     4,     0,    26,     0,
    25,     0,    27,     0,    25,     0,    32,     0,    31,     0,
    33,     0,    31,     0,    34,     0,    31,     0,    35,     0,
    36,     0,    37,     0,    38,     0,     9,     5,    62,     5,
    62,     5,     0,     9,     5,    62,     5,     0,    35,     5,
    62,     5,    62,     5,     0,    35,     5,    62,     5,     0,
    93,    96,    62,     5,     0,    37,     5,    62,     5,    62,
     5,     0,    37,     5,    62,     5,     0,    94,    96,    62,
     5,     0,    39,     5,    62,     5,    62,     5,     0,    39,
     5,    62,     5,     0,    40,    98,    62,     5,     0,    89,
     5,    62,     5,     0,    10,   106,    62,     5,     0,    11,
   106,     0,    12,   106,     0,    13,     0,    14,    96,    62,
     5,     0,    14,     5,    62,    96,    62,     5,     0,    88,
    63,   107,    64,    62,     5,     0,    88,    63,     5,    65,
    97,    64,    62,     5,     0,    89,     5,    62,    63,   107,
    64,     0,    89,     5,    62,    63,     5,    65,    97,    64,
     0,    15,     5,    62,     5,     0,    15,     5,     0,    16,
     5,    62,     5,     0,    90,    63,   107,    64,    62,     5,
     0,    91,     5,    62,    63,   107,    64,     0,    92,    98,
    62,     5,     0,    88,     6,    62,     5,     0,    28,     6,
    62,     5,     0,    89,     5,    62,     6,     0,    29,     5,
    62,     6,     0,    17,    87,     0,    17,    87,    65,   131,
     0,    17,    87,    66,   131,     0,    17,   131,     0,    18,
   131,     0,    19,     0,   131,     0,   131,     0,    20,    67,
    87,    68,     0,    20,    67,    87,    65,   131,    68,     0,
    20,    67,    87,    66,   131,    68,     0,    21,    67,    87,
    68,     0,    21,    67,    87,    65,   131,    68,     0,    21,
    67,    87,    66,   131,    68,     0,   131,     0,     8,     0,
    99,     8,     0,     3,     0,    69,    99,    69,     0,     7,
    69,    99,    69,   102,     0,     7,    69,    99,    69,   102,
    59,   104,     0,     0,    59,   104,     0,    69,    99,    69,
   104,     0,     7,     0,     7,    59,   104,     0,     7,     7,
   104,     0,     7,    69,    99,    69,   102,    69,    99,    69,
   104,     0,     7,   102,     0,     0,    59,     0,    69,    99,
    69,     0,     7,     0,   103,   104,     0,     0,    30,     0,
    25,     0,   107,     0,     5,    65,     5,     0,    87,    65,
     5,     0,    87,    65,   131,    65,     5,     0,    87,    66,
   131,    65,     5,     0,   131,    65,     5,     0,     5,     0,
   108,     0,    87,     0,    87,    65,   131,     0,    87,    66,
   131,     0,   131,     0,   105,    87,    62,     5,     0,   105,
    87,    65,   131,    62,     5,     0,   105,    87,    66,   131,
    62,     5,     0,   105,   131,    62,     5,     0,    41,   107,
     0,    41,     0,    42,     5,     0,    42,     0,    43,   131,
    62,   131,     0,    43,   131,     0,     0,    48,   111,    69,
   121,    69,     0,     0,    47,   112,    69,   121,    69,     0,
     0,    49,   113,    69,   121,    69,     0,     0,    50,   114,
    69,   121,    69,     0,    54,    69,    99,    69,     0,    55,
     7,     0,     4,     0,    51,   131,    62,   131,     0,    56,
   100,    62,   131,     0,    57,   100,    62,   131,     0,    51,
   131,     0,    44,   118,     0,    45,   124,     0,    46,   127,
     0,    52,   115,     0,    53,   100,    62,   131,     0,   116,
     0,   116,    62,   115,     0,   100,     0,   131,     0,   117,
   119,     0,     0,    62,   118,     0,     8,     0,   120,   122,
     0,     0,   121,     0,     8,     0,   123,     8,     0,   125,
   126,     0,   130,     0,     0,    62,   124,     0,   128,   129,
     0,   131,     0,     0,    62,   127,     0,    87,    65,   131,
     0,    87,    66,   131,     0,    87,     0,   131,     0,   131,
    65,   132,     0,   131,    66,   132,     0,   131,    70,   132,
     0,   131,    71,   132,     0,   131,    70,    70,   132,     0,
   131,    71,    71,   132,     0,   132,     0,   132,    72,   133,
     0,   133,     0,   132,    73,   133,     0,   132,    74,   133,
     0,   132,    75,   133,     0,   132,    76,   133,     0,   132,
    77,   133,     0,   132,    78,   133,     0,     7,     0,    79,
   123,    79,     0,    66,   133,     0,    65,   133,     0,    80,
   133,     0,    67,   131,    68,     0,    20,    67,   131,    68,
     0,    21,    67,   131,    68,     0,    22,    67,   131,    68,
     0,    23,    67,   131,    68,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
    60,    61,    64,    65,    68,    68,    70,    71,    73,    77,
    77,    79,    84,    85,    88,    89,    92,    92,    94,    94,
    96,    96,    98,    98,   100,   100,   102,   102,   104,   104,
   106,   108,   110,   112,   114,   116,   118,   120,   122,   124,
   126,   128,   130,   132,   134,   136,   138,   140,   142,   144,
   146,   148,   150,   152,   154,   156,   158,   160,   162,   164,
   166,   168,   170,   172,   174,   176,   184,   189,   193,   201,
   209,   211,   213,   215,   217,   219,   221,   227,   234,   245,
   246,   249,   259,   269,   275,   281,   288,   294,   300,   306,
   316,   316,   318,   319,   320,   323,   323,   325,   325,   327,
   331,   335,   348,   361,   374,   385,   389,   395,   408,   421,
   434,   445,   457,   469,   481,   489,   496,   501,   508,   515,
   524,   533,   533,   534,   534,   540,   540,   541,   541,   547,
   553,   555,   557,   565,   569,   573,   581,   582,   583,   584,
   585,   589,   590,   593,   597,   604,   605,   605,   607,   614,
   615,   615,   617,   621,   627,   628,   634,   634,   636,   637,
   645,   645,   647,   656,   665,   674,   678,   680,   682,   684,
   686,   688,   690,   694,   696,   698,   700,   702,   704,   706,
   708,   712,   714,   716,   718,   720,   722,   724,   726,   728,
   730
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","SYMBOL",
"SECT_ID","REG","SREG","NUMBER","CHAR","OP_3REG","JAL","J","CALL","RET","SHIFT",
"NOT","CMP","B","INT","OP16","LO","HI","LO16","HI16","ASSIGN","MOV","LD","ST",
"LDS","STS","LDI","MOVB","LDB","STB","LDBI","ADD","ADDI","SUB","SUBI","OR","SETHI",
"PUSH","POP","_ALIGN","_BYTE","_WORD","_LONG","_ASCIIZ","_ASCII","_STRING","_ZSTRING",
"_SPACE","_GLOBAL","_SET","_FILE","_LINE","_COMM","_LCOMM","'\\n'","'#'","':'",
"'='","','","'['","']'","'+'","'-'","'('","')'","'\\\"'","'<'","'>'","'*'","'/'",
"'%'","'&'","'!'","'|'","'^'","'\\''","'~'","lines","line","eol","maybelabel",
"maybecmd","cmd","symbolic","ld","st","ldb","stb","ldbi","addi","subi","insn",
"immed4","offset4","immed8","string","symbol","pound","pound_flags","pound_junk_item",
"pound_junk","ldi","regs","reg","vreg","pseudo","direc","@1","@2","@3","@4",
"globals","global","byte","bytes","maybebytes","char","chars","maybechars","multichar",
"words","word","maybewords","longs","long","maybelongs","expr","numexpr","numterm",
"numfact", NULL
};
#endif

static const short yyr1[] = {     0,
    81,    81,    82,    82,    83,    83,    84,    84,    84,    85,
    85,    86,    86,    86,    87,    87,    88,    88,    89,    89,
    90,    90,    91,    91,    92,    92,    93,    93,    94,    94,
    95,    95,    95,    95,    95,    95,    95,    95,    95,    95,
    95,    95,    95,    95,    95,    95,    95,    95,    95,    95,
    95,    95,    95,    95,    95,    95,    95,    95,    95,    95,
    95,    95,    95,    95,    95,    95,    95,    95,    96,    97,
    98,    98,    98,    98,    98,    98,    98,    99,    99,   100,
   100,   101,   101,   101,   101,   101,   101,   101,   101,   101,
   102,   102,   103,   103,   103,   104,   104,   105,   105,   106,
   106,   106,   106,   106,   106,   107,   107,   108,   108,   108,
   108,   109,   109,   109,   109,   109,   109,   109,   109,   110,
   110,   111,   110,   112,   110,   113,   110,   114,   110,   110,
   110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
   110,   115,   115,   116,   117,   118,   119,   119,   120,   121,
   122,   122,   123,   123,   124,   125,   126,   126,   127,   128,
   129,   129,   130,   130,   130,   130,   131,   131,   131,   131,
   131,   131,   131,   132,   132,   132,   132,   132,   132,   132,
   132,   133,   133,   133,   133,   133,   133,   133,   133,   133,
   133
};

static const short yyr2[] = {     0,
     2,     0,     3,     2,     1,     3,     0,     3,     3,     0,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     6,     4,     6,     4,     4,     6,     4,     4,     6,     4,
     4,     4,     4,     2,     2,     1,     4,     6,     6,     8,
     6,     8,     4,     2,     4,     6,     6,     4,     4,     4,
     4,     4,     2,     4,     4,     2,     2,     1,     1,     1,
     4,     6,     6,     4,     6,     6,     1,     1,     2,     1,
     3,     5,     7,     0,     2,     4,     1,     3,     3,     9,
     2,     0,     1,     3,     1,     2,     0,     1,     1,     1,
     3,     3,     5,     5,     3,     1,     1,     1,     3,     3,
     1,     4,     6,     6,     4,     2,     1,     2,     1,     4,
     2,     0,     5,     0,     5,     0,     5,     0,     5,     4,
     2,     1,     4,     4,     4,     2,     2,     2,     2,     2,
     4,     1,     3,     1,     1,     2,     0,     2,     1,     2,
     0,     1,     1,     2,     2,     1,     0,     2,     2,     1,
     0,     2,     3,     3,     1,     1,     3,     3,     3,     3,
     4,     4,     1,     3,     1,     3,     3,     3,     3,     3,
     3,     1,     3,     2,     2,     2,     3,     4,     4,     4,
     4
};

static const short yydefact[] = {     0,
     0,    80,     0,     0,    10,     0,     5,    84,     4,    78,
     0,     1,   132,     0,     0,     0,     0,    46,     0,     0,
     0,     0,     0,    68,    99,    17,    19,     0,     0,    98,
    26,    21,    23,    25,    27,    28,    29,    30,     0,     0,
   117,   119,     0,     0,     0,     0,   124,   122,   126,   128,
     0,     0,     0,     0,     0,     0,     0,     0,    11,     0,
     0,     0,     0,     0,     0,     0,    12,     0,    13,    14,
     7,     0,    87,    97,     0,     0,    79,    81,     0,    16,
   106,   182,     0,     0,     0,     0,     0,     0,     0,     0,
     0,   108,    15,     0,   100,   107,   111,   173,   175,    44,
    45,     0,     0,    69,    54,     0,    63,    66,    67,     0,
     0,     0,     0,     0,     0,     0,     0,    77,   106,   108,
   116,   111,   118,   121,   147,   137,   145,   165,   138,   157,
   156,   166,   139,   161,   160,     0,     0,     0,     0,   136,
   144,   140,   142,     0,     0,   131,     0,     0,     3,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     8,
     9,    97,    97,     0,    95,    93,     0,    97,    85,     0,
     6,     0,     0,     0,     0,     0,     0,   185,   184,     0,
   153,     0,   186,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,   146,     0,     0,     0,
   155,     0,   159,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,   106,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,    89,    88,     0,     0,
    96,    97,    32,   101,     0,     0,     0,     0,   187,   154,
   183,   102,   109,   110,    43,   105,   167,   168,     0,   169,
     0,   170,   174,   176,   177,   178,   179,   180,   181,     0,
    47,    53,    55,    64,    65,    60,    62,    34,    37,    40,
     0,     0,    41,   109,   110,   120,   148,   163,   164,   158,
   162,   149,   151,     0,     0,     0,     0,   133,   143,   141,
   130,   134,   135,    59,     0,     0,    42,    61,     0,     0,
     0,    58,    35,    38,   112,     0,     0,   115,    92,    94,
    86,     0,   188,   189,   190,   191,     0,     0,   171,   172,
     0,     0,     0,     0,     0,     0,    71,     0,     0,    74,
   152,   150,   125,   123,   127,   129,     0,    70,     0,   106,
     0,     0,     0,     0,     0,    92,    82,    31,   103,   104,
    48,    33,    36,    39,     0,     0,     0,     0,     0,    49,
     0,    51,    56,    57,   113,   114,    91,    97,     0,    72,
    73,    75,    76,     0,     0,    83,     0,    50,    52,    97,
    90,     0,     0,     0
};

static const short yydefgoto[] = {    12,
     4,     9,     5,    58,    59,   120,    60,    61,    62,    63,
    64,    65,    66,    67,   103,   357,   117,    11,    93,    76,
   367,   168,   169,    68,    94,    95,    96,    69,    70,   137,
   136,   138,   139,   142,   143,   125,   126,   217,   303,   304,
   352,   182,   129,   130,   221,   133,   134,   223,   131,   122,
    98,    99
};

static const short yypact[] = {   494,
     0,-32768,    48,   494,   555,    19,-32768,    39,-32768,-32768,
     3,-32768,-32768,    22,    84,    84,    84,-32768,   114,    33,
    40,   334,   387,-32768,    61,-32768,-32768,    57,    42,-32768,
    30,-32768,-32768,-32768,    65,-32768,    76,-32768,    81,   435,
   229,    92,   387,   387,   334,   387,-32768,-32768,-32768,-32768,
   387,    21,    21,    15,   102,    21,    21,     0,-32768,    31,
   109,    55,   115,   435,   387,   387,-32768,   334,-32768,-32768,
    21,   387,    41,    53,    48,    80,-32768,-32768,    49,-32768,
    75,-32768,    85,    91,   111,   123,   387,   387,   387,   148,
   387,    37,-32768,   105,-32768,-32768,   346,   411,-32768,-32768,
-32768,   113,   120,   591,   124,   135,   100,   591,   591,   140,
   152,   154,   157,   158,   159,   164,   163,   591,-32768,   108,
-32768,   591,-32768,    77,   176,-32768,   591,   144,-32768,   181,
-32768,   591,-32768,   184,   591,   179,   186,   188,   189,   106,
-32768,-32768,   191,   200,    48,-32768,   202,   203,-32768,   211,
   256,   212,   229,   213,   220,   222,   227,    79,   398,-32768,
   591,    53,    53,    48,-32768,-32768,    48,    53,-32768,     9,
-32768,   286,   287,   387,   387,   387,   387,-32768,-32768,   174,
-32768,    -2,-32768,   201,   387,   288,   249,   387,   364,   370,
   387,   387,   387,   387,   387,   387,   387,   387,   292,   387,
   294,   296,   387,   387,   297,   301,   305,   306,   307,   334,
   334,   308,   387,   387,   387,   387,-32768,   387,   387,   334,
-32768,   387,-32768,   310,   310,   310,   310,   387,    21,   387,
    13,   387,   387,   314,   255,   260,    70,   262,   264,   327,
   338,   341,   342,   387,   387,   348,-32768,-32768,    32,    44,
-32768,    53,   289,-32768,   274,   490,   548,   556,-32768,-32768,
-32768,-32768,   593,   600,-32768,-32768,   411,   411,   387,   411,
   387,   411,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   299,
-32768,-32768,-32768,   591,   591,-32768,-32768,   302,   316,   317,
    89,   119,-32768,   591,   591,   591,-32768,   591,   591,-32768,
-32768,-32768,   310,   290,   300,   303,   319,   591,-32768,   591,
-32768,   591,   591,-32768,   387,   333,-32768,-32768,   283,   335,
   229,-32768,-32768,-32768,-32768,   408,   410,-32768,   361,-32768,
-32768,   365,-32768,-32768,-32768,-32768,   353,   360,   411,   411,
   384,   391,   393,   397,   387,   387,-32768,   387,   387,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,   340,   591,   400,   350,
   357,   401,   358,   418,   419,   361,     2,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,   563,   570,   577,   584,   366,-32768,
   387,-32768,-32768,-32768,-32768,-32768,-32768,    53,    48,-32768,
-32768,-32768,-32768,   433,   381,-32768,    47,-32768,-32768,    53,
-32768,   446,   447,-32768
};

static const short yypgoto[] = {   448,
-32768,   403,   380,-32768,-32768,    17,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,   -52,    78,   407,   -72,    12,-32768,
    96,-32768,  -153,-32768,   195,   -36,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,   236,-32768,-32768,   261,-32768,-32768,  -207,
-32768,-32768,   270,-32768,-32768,   269,-32768,-32768,-32768,   -15,
  -146,   -65
};


#define	YYLAST		671


static const short yytable[] = {    97,
    97,    97,   170,   104,   121,   260,   108,   109,   247,   248,
    77,     6,   156,   157,   251,     6,    77,   305,   306,   307,
    77,   178,   179,     2,   118,   183,    79,   124,   127,   132,
   135,    92,    92,    92,   -24,   140,   150,   105,   107,    77,
   267,   268,   270,   272,   106,    73,   111,   162,   118,   104,
   104,    77,   159,   267,    77,    10,   161,     7,     8,   165,
   388,   128,   110,   141,   144,   -20,   -18,   147,   148,   112,
   389,    78,   231,   180,   317,   318,   261,   252,    71,    72,
   113,   311,     6,   145,   158,   114,     2,    80,    81,     3,
    82,   249,   -22,   151,   250,   351,   123,    74,   331,   163,
   329,   184,   185,    83,    84,    85,    86,    75,   146,   164,
   172,   166,   330,   152,   236,   400,   238,   153,   102,   154,
    82,   167,   339,   -18,   340,   273,   274,   275,   276,   277,
   278,   279,   319,    83,    84,    85,    86,   171,   215,   173,
   243,   200,   188,   244,   245,   280,   189,   190,    87,    88,
    89,   174,     3,   345,   346,   181,   347,   175,   255,   256,
   257,   258,    90,    91,   203,   204,   186,   228,   263,   264,
   200,   188,   213,   214,   198,   189,   190,   176,    87,    88,
    89,   199,   104,   348,   349,   201,   350,   284,   285,   177,
   267,   267,    90,    91,   255,   256,   202,   294,   295,   296,
   127,   205,   298,   299,   132,   262,   135,    82,   218,   219,
   100,   101,   308,   206,   310,   207,   312,   313,   208,   209,
    83,    84,    85,    86,   212,   210,   291,   292,   326,   327,
   211,     2,    80,   119,   396,    82,   128,   216,   200,   188,
   141,   259,   220,   189,   190,   222,   401,   224,    83,    84,
    85,    86,   229,   266,   225,    82,   226,   227,     2,    80,
   235,   230,    82,   232,   233,    87,    88,    89,    83,    84,
    85,    86,   234,   237,   239,    83,    84,    85,    86,    90,
    91,   240,   361,   241,   363,     2,    80,   360,   242,    82,
   253,   254,   265,    87,    88,    89,   281,     3,   282,   358,
   283,   286,    83,    84,    85,    86,   287,    90,    91,   288,
   289,   290,   293,    87,    88,    89,   397,   302,   314,   315,
    87,    88,    89,   316,     3,   320,   321,    90,    91,   375,
   376,   322,   377,   378,    90,    91,     2,    80,   200,   188,
    82,   333,   323,   189,   190,   324,   325,    87,    88,    89,
   332,     3,   328,    83,    84,    85,    86,   369,   353,    82,
   341,    90,    91,   342,   370,   358,    82,   366,   354,   368,
    82,   355,    83,    84,    85,    86,    82,   343,   344,    83,
    84,    85,    86,    83,    84,    85,    86,   356,   371,    83,
    84,    85,    86,    82,   359,   372,   362,   373,    87,    88,
    89,   374,     3,   379,   380,   383,    83,    84,    85,    86,
   187,   188,    90,    91,   381,   189,   190,    87,    88,    89,
   382,   384,   385,   386,    87,    88,    89,   394,    87,    88,
    89,    90,    91,   269,    87,    88,    89,   398,    90,    91,
   271,    82,    90,    91,   399,   403,   404,   402,    90,    91,
   160,    87,    88,    89,   115,   116,    85,    86,   395,   246,
   149,   387,   200,   188,   309,    90,    91,   189,   190,   364,
   155,   365,   200,   188,   200,   188,   297,   189,   190,   189,
   190,     0,   191,   192,   193,   194,   195,   196,   197,   300,
   301,     0,     0,    -2,     1,     0,     2,    -7,     0,    87,
    88,    89,    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,
    -7,    -7,    -7,    90,    91,     0,     0,     0,    -7,    -7,
    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,
    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,
    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,    -7,
    -7,    -7,    -7,     0,   200,   188,     0,   334,    13,   189,
   190,     0,     3,    14,    15,    16,    17,    18,    19,    20,
    21,    22,    23,    24,     0,     0,     0,     0,     0,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
    46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
    56,    57,   200,   188,     0,   335,     0,   189,   190,     0,
   200,   188,     0,   336,     0,   189,   190,   200,   188,     0,
   390,     0,   189,   190,   200,   188,     0,   391,     0,   189,
   190,   200,   188,     0,   392,     0,   189,   190,   200,   188,
     0,   393,     0,   189,   190,   200,   188,   337,   188,     0,
   189,   190,   189,   190,   338,   188,     0,     0,     0,   189,
   190
};

static const short yycheck[] = {    15,
    16,    17,    75,    19,    41,     8,    22,    23,   162,   163,
     8,     0,    65,    66,   168,     4,     8,   225,   226,   227,
     8,    87,    88,     3,    40,    91,     5,    43,    44,    45,
    46,    15,    16,    17,     5,    51,     6,     5,    22,     8,
   187,   188,   189,   190,     5,     7,     5,     7,    64,    65,
    66,     8,    68,   200,     8,     8,    72,    58,    59,     7,
    59,    45,     6,    52,    53,     5,     6,    56,    57,     5,
    69,    69,   145,    89,     5,     6,    79,    69,    60,    61,
     5,    69,    71,    69,    68,     5,     3,     4,     5,    69,
     7,   164,    63,    63,   167,   303,     5,    59,   252,    59,
    69,    65,    66,    20,    21,    22,    23,    69,     7,    69,
    62,    59,    69,     5,   151,    69,   153,    63,     5,     5,
     7,    69,   269,    63,   271,   191,   192,   193,   194,   195,
   196,   197,    63,    20,    21,    22,    23,    58,    62,    65,
    62,    65,    66,    65,    66,   198,    70,    71,    65,    66,
    67,    67,    69,    65,    66,     8,    68,    67,   174,   175,
   176,   177,    79,    80,    65,    66,    62,    62,   184,   185,
    65,    66,    65,    66,    62,    70,    71,    67,    65,    66,
    67,    62,   198,    65,    66,    62,    68,   203,   204,    67,
   337,   338,    79,    80,   210,   211,    62,   213,   214,   215,
   216,    62,   218,   219,   220,     5,   222,     7,    65,    66,
    16,    17,   228,    62,   230,    62,   232,   233,    62,    62,
    20,    21,    22,    23,    62,    67,   210,   211,   244,   245,
    67,     3,     4,     5,   388,     7,   220,    62,    65,    66,
   229,    68,    62,    70,    71,    62,   400,    69,    20,    21,
    22,    23,    62,     5,    69,     7,    69,    69,     3,     4,
     5,    62,     7,    62,    62,    65,    66,    67,    20,    21,
    22,    23,    62,    62,    62,    20,    21,    22,    23,    79,
    80,    62,   319,    62,   321,     3,     4,     5,    62,     7,
     5,     5,     5,    65,    66,    67,     5,    69,     5,   315,
     5,     5,    20,    21,    22,    23,     6,    79,    80,     5,
     5,     5,     5,    65,    66,    67,   389,     8,     5,    65,
    65,    66,    67,    64,    69,    64,    63,    79,    80,   345,
   346,     5,   348,   349,    79,    80,     3,     4,    65,    66,
     7,    68,     5,    70,    71,     5,     5,    65,    66,    67,
    62,    69,     5,    20,    21,    22,    23,     5,    69,     7,
    62,    79,    80,    62,     5,   381,     7,     7,    69,     5,
     7,    69,    20,    21,    22,    23,     7,    62,    62,    20,
    21,    22,    23,    20,    21,    22,    23,    69,     5,    20,
    21,    22,    23,     7,    62,     5,    62,     5,    65,    66,
    67,     5,    69,    64,     5,     5,    20,    21,    22,    23,
    65,    66,    79,    80,    65,    70,    71,    65,    66,    67,
    64,    64,     5,     5,    65,    66,    67,    62,    65,    66,
    67,    79,    80,    70,    65,    66,    67,     5,    79,    80,
    71,     7,    79,    80,    64,     0,     0,     0,    79,    80,
    71,    65,    66,    67,    20,    21,    22,    23,   381,    62,
    58,   366,    65,    66,   229,    79,    80,    70,    71,    62,
    64,    62,    65,    66,    65,    66,   216,    70,    71,    70,
    71,    -1,    72,    73,    74,    75,    76,    77,    78,   220,
   222,    -1,    -1,     0,     1,    -1,     3,     4,    -1,    65,
    66,    67,     9,    10,    11,    12,    13,    14,    15,    16,
    17,    18,    19,    79,    80,    -1,    -1,    -1,    25,    26,
    27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
    47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
    57,    58,    59,    -1,    65,    66,    -1,    68,     4,    70,
    71,    -1,    69,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
    46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
    56,    57,    65,    66,    -1,    68,    -1,    70,    71,    -1,
    65,    66,    -1,    68,    -1,    70,    71,    65,    66,    -1,
    68,    -1,    70,    71,    65,    66,    -1,    68,    -1,    70,
    71,    65,    66,    -1,    68,    -1,    70,    71,    65,    66,
    -1,    68,    -1,    70,    71,    65,    66,    65,    66,    -1,
    70,    71,    70,    71,    65,    66,    -1,    -1,    -1,    70,
    71
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "~/share/bison.simple"
/* This file comes from bison-1.28.  */

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

#ifndef YYSTACK_USE_ALLOCA
#ifdef alloca
#define YYSTACK_USE_ALLOCA
#else /* alloca not defined */
#ifdef __GNUC__
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
#define YYSTACK_USE_ALLOCA
#include <alloca.h>
#else /* not sparc */
/* We think this test detects Watcom and Microsoft C.  */
/* This used to test MSDOS, but that is a bad idea
   since that symbol is in the user namespace.  */
#if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
#if 0 /* No need for malloc.h, which pollutes the namespace;
	 instead, just don't use alloca.  */
#include <malloc.h>
#endif
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
/* I don't know what this was needed for, but it pollutes the namespace.
   So I turned it off.   rms, 2 May 1997.  */
/* #include <malloc.h>  */
 #pragma alloca
#define YYSTACK_USE_ALLOCA
#else /* not MSDOS, or __TURBOC__, or _AIX */
#if 0
#ifdef __hpux /* haible@ilog.fr says this works for HPUX 9.05 and up,
		 and on HPUX 10.  Eventually we can turn this on.  */
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#endif /* __hpux */
#endif
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc */
#endif /* not GNU C */
#endif /* alloca not defined */
#endif /* YYSTACK_USE_ALLOCA not defined */

#ifdef YYSTACK_USE_ALLOCA
#define YYSTACK_ALLOC alloca
#else
#define YYSTACK_ALLOC malloc
#endif

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Define __yy_memcpy.  Note that the size argument
   should be passed with type unsigned int, because that is what the non-GCC
   definitions require.  With GCC, __builtin_memcpy takes an arg
   of type size_t, but it can handle unsigned int.  */

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     unsigned int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, unsigned int count)
{
  register char *t = to;
  register char *f = from;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 217 "~/share/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
#ifdef YYPARSE_PARAM
int yyparse (void *);
#else
int yyparse (void);
#endif
#endif

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;
  int yyfree_stacks = 0;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  if (yyfree_stacks)
	    {
	      free (yyss);
	      free (yyvs);
#ifdef YYLSP_NEEDED
	      free (yyls);
#endif
	    }
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
#ifndef YYSTACK_USE_ALLOCA
      yyfree_stacks = 1;
#endif
      yyss = (short *) YYSTACK_ALLOC (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1,
		   size * (unsigned int) sizeof (*yyssp));
      yyvs = (YYSTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1,
		   size * (unsigned int) sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1,
		   size * (unsigned int) sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 8:
#line 72 "src/as_tab.y"
{ define(yyvsp[-2].string, info[sect].offset); ;
    break;}
case 9:
#line 74 "src/as_tab.y"
{ mkconst(yyvsp[-2].string, yyvsp[0].ul); ;
    break;}
case 12:
#line 80 "src/as_tab.y"
{
	      mkword(yyvsp[0].ul);
              info[sect].offset += 2;
            ;
    break;}
case 15:
#line 88 "src/as_tab.y"
{ yyval.string = yyvsp[0].string; ;
    break;}
case 16:
#line 89 "src/as_tab.y"
{ if (! (yyval.string = strdup(info[yyvsp[0].ul].name))) perror("strdup"), cleanup(), exit(1); ;
    break;}
case 31:
#line 107 "src/as_tab.y"
{ yyval.ul = yyvsp[-5].ul | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[-4].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 32:
#line 109 "src/as_tab.y"
{ yyval.ul = yyvsp[-3].ul | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 33:
#line 111 "src/as_tab.y"
{ yyval.ul = 0x0000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[-4].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 34:
#line 113 "src/as_tab.y"
{ yyval.ul = 0x0000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 35:
#line 115 "src/as_tab.y"
{ yyval.ul = 0xfe00UL | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 36:
#line 117 "src/as_tab.y"
{ yyval.ul = 0x1000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[-4].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 37:
#line 119 "src/as_tab.y"
{ yyval.ul = 0x1000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 38:
#line 121 "src/as_tab.y"
{ yyval.ul = 0xfd00UL | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 39:
#line 123 "src/as_tab.y"
{ yyval.ul = 0x5000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[-4].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 40:
#line 125 "src/as_tab.y"
{ yyval.ul = 0x5000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 41:
#line 127 "src/as_tab.y"
{ yyval.ul = 0x7000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xffUL & yyvsp[-2].ul); ;
    break;}
case 42:
#line 129 "src/as_tab.y"
{ yyval.ul = 0x5000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 43:
#line 131 "src/as_tab.y"
{ yyval.ul = yyvsp[-3].ul | (0xf00UL & (yyvsp[0].ul<<8)) | (0xffUL & yyvsp[-2].ul); ;
    break;}
case 44:
#line 133 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul | (0xffUL & yyvsp[0].ul); ;
    break;}
case 45:
#line 135 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul | 0xe00UL | (0xffUL & yyvsp[0].ul); ;
    break;}
case 46:
#line 137 "src/as_tab.y"
{ yyval.ul = yyvsp[0].ul | 0xeUL; ;
    break;}
case 47:
#line 139 "src/as_tab.y"
{ yyval.ul = yyvsp[-3].ul | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 48:
#line 141 "src/as_tab.y"
{ yyval.ul = yyvsp[-5].ul | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[-4].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 49:
#line 143 "src/as_tab.y"
{ yyval.ul = 0x6000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xfUL & yyvsp[-3].ul); ;
    break;}
case 50:
#line 145 "src/as_tab.y"
{ yyval.ul = 0x6000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xf0UL & (yyvsp[-3].ul<<4)) | (0xfUL & yyvsp[-5].ul); ;
    break;}
case 51:
#line 147 "src/as_tab.y"
{ yyval.ul = 0xd000UL | (0xf00UL & (yyvsp[-4].ul<<8)) | (0xfUL & yyvsp[-1].ul); ;
    break;}
case 52:
#line 149 "src/as_tab.y"
{ yyval.ul = 0xd000UL | (0xf00UL & (yyvsp[-6].ul<<8)) | (0xf0UL & (yyvsp[-1].ul<<4)) | (0xfUL & yyvsp[-3].ul); ;
    break;}
case 53:
#line 151 "src/as_tab.y"
{ yyval.ul = yyvsp[-3].ul | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 54:
#line 153 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[0].ul); ;
    break;}
case 55:
#line 155 "src/as_tab.y"
{ yyval.ul = yyvsp[-3].ul | (0xf0UL & (yyvsp[-2].ul<<4)) | (0xfUL & yyvsp[0].ul); ;
    break;}
case 56:
#line 157 "src/as_tab.y"
{ yyval.ul = 0xf200UL | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-3].ul); ;
    break;}
case 57:
#line 159 "src/as_tab.y"
{ yyval.ul = 0xf300UL | (0xf0UL & (yyvsp[-4].ul<<4)) | (0xfUL & yyvsp[-1].ul); ;
    break;}
case 58:
#line 161 "src/as_tab.y"
{ yyval.ul = 0xe000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (0xffUL & yyvsp[-2].ul); ;
    break;}
case 59:
#line 163 "src/as_tab.y"
{ yyval.ul = 0xf400UL | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 60:
#line 165 "src/as_tab.y"
{ yyval.ul = 0xf400UL | (0xf0UL & (yyvsp[0].ul<<4)) | (0xfUL & yyvsp[-2].ul); ;
    break;}
case 61:
#line 167 "src/as_tab.y"
{ yyval.ul = 0xf500UL | (0xf0UL & (yyvsp[-2].ul<<4)) | (0xfUL & yyvsp[0].ul); ;
    break;}
case 62:
#line 169 "src/as_tab.y"
{ yyval.ul = 0xf500UL | (0xf0UL & (yyvsp[-2].ul<<4)) | (0xfUL & yyvsp[0].ul); ;
    break;}
case 63:
#line 171 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul; mkdisp(yyvsp[0].string, info[sect].offset+1, 0); ;
    break;}
case 64:
#line 173 "src/as_tab.y"
{ yyval.ul = yyvsp[-3].ul; mkdisp(yyvsp[-2].string, info[sect].offset+1, yyvsp[0].ul); ;
    break;}
case 65:
#line 175 "src/as_tab.y"
{ yyval.ul = yyvsp[-3].ul; mkdisp(yyvsp[-2].string, info[sect].offset+1, -yyvsp[0].ul); ;
    break;}
case 66:
#line 177 "src/as_tab.y"
{
	       char *s;

	       if (! (s = strdup(info[SECT_ABS].name))) perror("strdup"), cleanup(), exit(1);
	       yyval.ul = yyvsp[-1].ul;
	       mkdisp(s, info[sect].offset+1, yyvsp[0].ul);
	     ;
    break;}
case 67:
#line 185 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul | yyvsp[0].ul;
	       if (yyvsp[0].ul != ((0x7fUL) & yyvsp[0].ul))
		 yyerror("must be a number from 0 to 127");
	     ;
    break;}
case 68:
#line 190 "src/as_tab.y"
{ yyval.ul = yyvsp[0].ul; ;
    break;}
case 69:
#line 194 "src/as_tab.y"
{
	       yyval.ul = 0xfUL & yyvsp[0].ul;
	       if(yyval.ul != yyvsp[0].ul)
		 yyerror("must be a number from 0 to 15");
	     ;
    break;}
case 70:
#line 202 "src/as_tab.y"
{
	       yyval.ul = 0xfUL & (yyvsp[0].ul >> 1);
	       if((yyval.ul << 1) != yyvsp[0].ul)
		 yyerror("must be an even number from 0 to 30");
	     ;
    break;}
case 71:
#line 210 "src/as_tab.y"
{ yyval.ul = 0; mklo(yyvsp[-1].string, info[sect].offset+1, 0); ;
    break;}
case 72:
#line 212 "src/as_tab.y"
{ yyval.ul = 0; mklo(yyvsp[-3].string, info[sect].offset+1, yyvsp[-1].ul); ;
    break;}
case 73:
#line 214 "src/as_tab.y"
{ yyval.ul = 0; mklo(yyvsp[-3].string, info[sect].offset+1, -yyvsp[-1].ul); ;
    break;}
case 74:
#line 216 "src/as_tab.y"
{ yyval.ul = 0; mkhi(yyvsp[-1].string, info[sect].offset+1, 0); ;
    break;}
case 75:
#line 218 "src/as_tab.y"
{ yyval.ul = 0; mkhi(yyvsp[-3].string, info[sect].offset+1, yyvsp[-1].ul); ;
    break;}
case 76:
#line 220 "src/as_tab.y"
{ yyval.ul = 0; mkhi(yyvsp[-3].string, info[sect].offset+1, -yyvsp[-1].ul); ;
    break;}
case 77:
#line 222 "src/as_tab.y"
{
	       yyval.ul = to_u8(yyvsp[0].ul);
	     ;
    break;}
case 78:
#line 228 "src/as_tab.y"
{
	      char buf[2] = { '\0', '\0' };

	      *buf = yyvsp[0].ul;
	      if (! (yyval.string = strdup(buf))) perror("strdup"), cleanup(), exit(1);
	    ;
    break;}
case 79:
#line 235 "src/as_tab.y"
{
	      int len;

	      len = strlen(yyvsp[-1].string);
	      yyvsp[-1].string[len++] = yyvsp[0].ul;
	      if (! (yyval.string = (char *) realloc(yyvsp[-1].string, len + 1))) perror("realloc"), cleanup(), exit(1);
	      yyval.string[len] = '\0';
	    ;
    break;}
case 80:
#line 245 "src/as_tab.y"
{ yyval.string = yyvsp[0].string; ;
    break;}
case 81:
#line 246 "src/as_tab.y"
{ yyval.string = yyvsp[-1].string; ;
    break;}
case 82:
#line 250 "src/as_tab.y"
{
#ifdef DEBUG_POUND
	     fprintf(stderr, "well-formed pound\n");
#endif
	     lineno = yyvsp[-4].ul;
             if(infile)
	       free(infile);
	     infile = yyvsp[-2].string;
	   ;
    break;}
case 83:
#line 260 "src/as_tab.y"
{
#ifdef DEBUG_POUND
	     fprintf(stderr, "well-formed pound pound\n");
#endif
	     lineno = yyvsp[-6].ul;
             if(infile)
	       free(infile);
	     infile = yyvsp[-4].string;
	   ;
    break;}
case 84:
#line 270 "src/as_tab.y"
{
#ifdef DEBUG_POUND
	      fprintf(stderr, "pound\n");
#endif
	    ;
    break;}
case 85:
#line 276 "src/as_tab.y"
{
#ifdef DEBUG_POUND
	      fprintf(stderr, "double pound\n");
#endif
	    ;
    break;}
case 86:
#line 282 "src/as_tab.y"
{
#ifdef DEBUG_POUND
	      fprintf(stderr, "pound string\n");
#endif
	      free(yyvsp[-2].string);
	    ;
    break;}
case 87:
#line 289 "src/as_tab.y"
{
#ifdef DEBUG_POUND
	      fprintf(stderr, "pound number\n");
#endif
	    ;
    break;}
case 88:
#line 295 "src/as_tab.y"
{
#ifdef DEBUG_POUND
	      fprintf(stderr, "pound number pound\n");
#endif
	    ;
    break;}
case 89:
#line 301 "src/as_tab.y"
{
#ifdef DEBUG_POUND
	      fprintf(stderr, "pound number number\n");
#endif
	    ;
    break;}
case 90:
#line 307 "src/as_tab.y"
{
#ifdef DEBUG_POUND
	      fprintf(stderr, "pound number string string\n");
#endif
	      free(yyvsp[-6].string);
	      free(yyvsp[-2].string);
	    ;
    break;}
case 91:
#line 316 "src/as_tab.y"
{ ;
    break;}
case 94:
#line 319 "src/as_tab.y"
{ free(yyvsp[-1].string); ;
    break;}
case 95:
#line 320 "src/as_tab.y"
{ ;
    break;}
case 100:
#line 328 "src/as_tab.y"
{
	   yyval.ul = yyvsp[0].ul;
	 ;
    break;}
case 101:
#line 332 "src/as_tab.y"
{
	   yyval.ul = (0x0fUL & yyvsp[-2].ul) | (0xf0UL & (yyvsp[0].ul<<4));
	 ;
    break;}
case 102:
#line 336 "src/as_tab.y"
{
	   char *s;

	   if (! (s=strdup(yyvsp[-2].string))) perror("strdup"), cleanup(), exit(1);
	   mkhi(s, info[sect].offset+1, 0);
	   mkword(0x7700UL);
	   info[sect].offset += 2;
	   mklo(yyvsp[-2].string, info[sect].offset+1, 0);
	   mkword(0xe700UL);
	   info[sect].offset += 2;
	   yyval.ul = 7 | (0xf0UL & (yyvsp[0].ul<<4));
	 ;
    break;}
case 103:
#line 349 "src/as_tab.y"
{
	   char *s;

	   if (! (s=strdup(yyvsp[-4].string))) perror("strdup"), cleanup(), exit(1);
	   mkhi(s, info[sect].offset+1, yyvsp[-2].ul);
	   mkword(0x7700UL);
	   info[sect].offset += 2;
	   mklo(yyvsp[-4].string, info[sect].offset+1, yyvsp[-2].ul);
	   mkword(0xe700UL);
	   info[sect].offset += 2;
	   yyval.ul = 7 | (0xf0UL & (yyvsp[0].ul<<4));
	 ;
    break;}
case 104:
#line 362 "src/as_tab.y"
{
	   char *s;

	   if (! (s=strdup(yyvsp[-4].string))) perror("strdup"), cleanup(), exit(1);
	   mkhi(s, info[sect].offset+1, -yyvsp[-2].ul);
	   mkword(0x7700UL);
	   info[sect].offset += 2;
	   mklo(yyvsp[-4].string, info[sect].offset+1, -yyvsp[-2].ul);
	   mkword(0xe700UL);
	   info[sect].offset += 2;
	   yyval.ul = 7 | (0xf0UL & (yyvsp[0].ul<<4));
	 ;
    break;}
case 105:
#line 375 "src/as_tab.y"
{
	   yyvsp[-2].ul = to_u16(yyvsp[-2].ul);
	   mkword(0x7700UL | ((yyvsp[-2].ul & 0xff00UL) >> 8));
	   info[sect].offset += 2;
	   mkword(0xe700UL | (yyvsp[-2].ul & 0xffUL));
	   info[sect].offset += 2;
	   yyval.ul = 7 | (0xf0UL & (yyvsp[0].ul<<4));
	 ;
    break;}
case 106:
#line 386 "src/as_tab.y"
{
	   yyval.ul = yyvsp[0].ul;
	 ;
    break;}
case 107:
#line 390 "src/as_tab.y"
{
	   yyval.ul = yyvsp[0].ul;
	 ;
    break;}
case 108:
#line 396 "src/as_tab.y"
{
	   char *s;

	   if (! (s=strdup(yyvsp[0].string))) perror("strdup"), cleanup(), exit(1);
	   mkhi(s, info[sect].offset+1, 0);
	   mkword(0x7700UL);
	   info[sect].offset += 2;
	   mklo(yyvsp[0].string, info[sect].offset+1, 0);
	   mkword(0xe700UL);
	   info[sect].offset += 2;
	   yyval.ul = 7;
	 ;
    break;}
case 109:
#line 409 "src/as_tab.y"
{
	   char *s;

	   if (! (s=strdup(yyvsp[-2].string))) perror("strdup"), cleanup(), exit(1);
	   mkhi(s, info[sect].offset+1, yyvsp[0].ul);
	   mkword(0x7700UL);
	   info[sect].offset += 2;
	   mklo(yyvsp[-2].string, info[sect].offset+1, yyvsp[0].ul);
	   mkword(0xe700UL);
	   info[sect].offset += 2;
	   yyval.ul = 7;
	 ;
    break;}
case 110:
#line 422 "src/as_tab.y"
{
	   char *s;

	   if (! (s=strdup(yyvsp[-2].string))) perror("strdup"), cleanup(), exit(1);
	   mkhi(s, info[sect].offset+1, -yyvsp[0].ul);
	   mkword(0x7700UL);
	   info[sect].offset += 2;
	   mklo(yyvsp[-2].string, info[sect].offset+1, -yyvsp[0].ul);
	   mkword(0xe700UL);
	   info[sect].offset += 2;
	   yyval.ul = 7;
	 ;
    break;}
case 111:
#line 435 "src/as_tab.y"
{
	   yyvsp[0].ul = to_u16(yyvsp[0].ul);
	   mkword(0x7700UL | ((yyvsp[0].ul & 0xff00UL) >> 8));
	   info[sect].offset += 2;
	   mkword(0xe700UL | (yyvsp[0].ul & 0xffUL));
	   info[sect].offset += 2;
	   yyval.ul = 7;
	 ;
    break;}
case 112:
#line 446 "src/as_tab.y"
{
	      char *s;
	      
	      if (! (s=strdup(yyvsp[-2].string))) perror("strdup"), cleanup(), exit(1);
	      mkhi(s, info[sect].offset+1, 0);
	      mkword(0x7000UL | (0xf00UL & (yyvsp[0].ul<<8)));
	      info[sect].offset += 2;
	      mklo(yyvsp[-2].string, info[sect].offset+1, 0);
	      mkword(0xe000UL | (0xf00UL & (yyvsp[0].ul<<8)));
	      info[sect].offset += 2;
	    ;
    break;}
case 113:
#line 458 "src/as_tab.y"
{
	      char *s;
	      
	      if (! (s=strdup(yyvsp[-4].string))) perror("strdup"), cleanup(), exit(1);
	      mkhi(s, info[sect].offset+1, yyvsp[-2].ul);
	      mkword(0x7000UL | (0xf00UL & (yyvsp[0].ul<<8)));
	      info[sect].offset += 2;
	      mklo(yyvsp[-4].string, info[sect].offset+1, yyvsp[-2].ul);
	      mkword(0xe000UL | (0xf00UL & (yyvsp[0].ul<<8)));
	      info[sect].offset += 2;
	    ;
    break;}
case 114:
#line 470 "src/as_tab.y"
{
	      char *s;
	      
	      if (! (s=strdup(yyvsp[-4].string))) perror("strdup"), cleanup(), exit(1);
	      mkhi(s, info[sect].offset+1, -yyvsp[-2].ul);
	      mkword(0x7000UL | (0xf00UL & (yyvsp[0].ul<<8)));
	      info[sect].offset += 2;
	      mklo(yyvsp[-4].string, info[sect].offset+1, -yyvsp[-2].ul);
	      mkword(0xe000UL | (0xf00UL & (yyvsp[0].ul<<8)));
	      info[sect].offset += 2;
	    ;
    break;}
case 115:
#line 482 "src/as_tab.y"
{
	      yyvsp[-2].ul = to_u16(yyvsp[-2].ul);
	      mkword(0x7000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (yyvsp[-2].ul >> 8));
	      info[sect].offset += 2;
	      mkword(0xe000UL | (0xf00UL & (yyvsp[0].ul<<8)) | (yyvsp[-2].ul & 0xffUL));
	      info[sect].offset += 2;
	    ;
    break;}
case 116:
#line 490 "src/as_tab.y"
{
              mkword(0xfdd2UL);
              info[sect].offset += 2;
              mkword(0xd01dUL | (yyvsp[0].ul << 8)); 
              info[sect].offset += 2;
	    ;
    break;}
case 117:
#line 497 "src/as_tab.y"
{
              mkword(0xfdd2UL);
              info[sect].offset += 2;
	    ;
    break;}
case 118:
#line 502 "src/as_tab.y"
{
              mkword(0x601dUL | (yyvsp[0].ul << 8)); 
              info[sect].offset += 2;
              mkword(0xfed2UL);
              info[sect].offset += 2;
	    ;
    break;}
case 119:
#line 509 "src/as_tab.y"
{
              mkword(0xfed2UL);
              info[sect].offset += 2;
	    ;
    break;}
case 120:
#line 516 "src/as_tab.y"
{
	     if (yyvsp[-2].ul > info[sect].align)
	       info[sect].align = yyvsp[-2].ul;
             while (info[sect].offset != ((info[sect].offset >> yyvsp[-2].ul) << yyvsp[-2].ul)) {
	       mkbyte(yyvsp[0].ul);
	       info[sect].offset++;
	     }
           ;
    break;}
case 121:
#line 525 "src/as_tab.y"
{
	     if (yyvsp[0].ul > info[sect].align)
	       info[sect].align = yyvsp[0].ul;
             while (info[sect].offset != ((info[sect].offset >> yyvsp[0].ul) << yyvsp[0].ul)) {
	       mkbyte(0);
	       info[sect].offset++;
	     }
           ;
    break;}
case 122:
#line 533 "src/as_tab.y"
{ encoding = ENCODING_PORTABLE; ;
    break;}
case 123:
#line 533 "src/as_tab.y"
{ encoding = ENCODING_NATIVE; ;
    break;}
case 124:
#line 534 "src/as_tab.y"
{ encoding = ENCODING_PORTABLE; ;
    break;}
case 125:
#line 535 "src/as_tab.y"
{ 
	     encoding = ENCODING_NATIVE;
	     mkbyte(0);
	     info[sect].offset++;
	   ;
    break;}
case 126:
#line 540 "src/as_tab.y"
{ encoding = xencoding; ;
    break;}
case 127:
#line 540 "src/as_tab.y"
{ encoding = ENCODING_NATIVE; ;
    break;}
case 128:
#line 541 "src/as_tab.y"
{ encoding = xencoding; ;
    break;}
case 129:
#line 542 "src/as_tab.y"
{ 
	     encoding = ENCODING_NATIVE;
	     mkbyte(0);
	     info[sect].offset++;
	   ;
    break;}
case 130:
#line 548 "src/as_tab.y"
{
             if(infile)
	       free(infile);
	     infile = yyvsp[-1].string;
	   ;
    break;}
case 131:
#line 554 "src/as_tab.y"
{ lineno = yyvsp[0].ul; ;
    break;}
case 132:
#line 556 "src/as_tab.y"
{ sect = yyvsp[0].ul; ;
    break;}
case 133:
#line 558 "src/as_tab.y"
{
             unsigned long i;
             for (i = 0; i < yyvsp[-2].ul; i++) {
	       mkbyte(yyvsp[0].ul);
	       info[sect].offset++;
	     }
           ;
    break;}
case 134:
#line 566 "src/as_tab.y"
{
	     mkcomm(yyvsp[-2].string, yyvsp[0].ul);
           ;
    break;}
case 135:
#line 570 "src/as_tab.y"
{
	     mklcomm(yyvsp[-2].string, yyvsp[0].ul);
           ;
    break;}
case 136:
#line 574 "src/as_tab.y"
{
             unsigned long i;
             for (i = 0; i < yyvsp[0].ul; i++) {
	       mkbyte(0);
               info[sect].offset++;
	     }
           ;
    break;}
case 141:
#line 586 "src/as_tab.y"
{ mkconst(yyvsp[-2].string, yyvsp[0].ul); ;
    break;}
case 144:
#line 594 "src/as_tab.y"
{ mkglobal(yyvsp[0].string); ;
    break;}
case 145:
#line 598 "src/as_tab.y"
{
	     mkbyte(yyvsp[0].ul);
	     info[sect].offset++;
           ;
    break;}
case 149:
#line 608 "src/as_tab.y"
{
	     mkbyte(yyvsp[0].ul);
	     info[sect].offset++;
           ;
    break;}
case 153:
#line 618 "src/as_tab.y"
{
		yyval.ul = yyvsp[0].ul;
	      ;
    break;}
case 154:
#line 622 "src/as_tab.y"
{
		yyval.ul = (yyvsp[-1].ul << 8) | yyvsp[0].ul;
	      ;
    break;}
case 156:
#line 629 "src/as_tab.y"
{
	     mkword(yyvsp[0].ul);
             info[sect].offset += 2; 
           ;
    break;}
case 160:
#line 638 "src/as_tab.y"
{
	     mkword(yyvsp[0].ul >> 16);
             info[sect].offset += 2; 
	     mkword(yyvsp[0].ul & 0xffffLU);
             info[sect].offset += 2; 
           ;
    break;}
case 163:
#line 648 "src/as_tab.y"
{
	     char *s;

	     if (! (s = strdup(yyvsp[-2].string))) perror("strdup"), cleanup(), exit(1);
	     yyval.ul = 0;
	     mkhi(s, info[sect].offset, yyvsp[0].ul);
	     mklo(yyvsp[-2].string, info[sect].offset+1, yyvsp[0].ul);
	   ;
    break;}
case 164:
#line 657 "src/as_tab.y"
{
	     char *s;

	     if (! (s = strdup(yyvsp[-2].string))) perror("strdup"), cleanup(), exit(1);
	     yyval.ul = 0;
	     mkhi(s, info[sect].offset, -yyvsp[0].ul);
	     mklo(yyvsp[-2].string, info[sect].offset+1, -yyvsp[0].ul);
	   ;
    break;}
case 165:
#line 666 "src/as_tab.y"
{
	     char *s;

	     if (! (s = strdup(yyvsp[0].string))) perror("strdup"), cleanup(), exit(1);
	     yyval.ul = 0;
	     mkhi(s, info[sect].offset, 0);
	     mklo(yyvsp[0].string, info[sect].offset+1, 0);
	   ;
    break;}
case 166:
#line 675 "src/as_tab.y"
{ yyval.ul = yyvsp[0].ul; ;
    break;}
case 167:
#line 679 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul + yyvsp[0].ul; ;
    break;}
case 168:
#line 681 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul - yyvsp[0].ul; ;
    break;}
case 169:
#line 683 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul << yyvsp[0].ul; ;
    break;}
case 170:
#line 685 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul >> yyvsp[0].ul; ;
    break;}
case 171:
#line 687 "src/as_tab.y"
{ yyval.ul = yyvsp[-3].ul << yyvsp[0].ul; ;
    break;}
case 172:
#line 689 "src/as_tab.y"
{ yyval.ul = yyvsp[-3].ul >> yyvsp[0].ul; ;
    break;}
case 173:
#line 691 "src/as_tab.y"
{ yyval.ul = yyvsp[0].ul; ;
    break;}
case 174:
#line 695 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul * yyvsp[0].ul; ;
    break;}
case 175:
#line 697 "src/as_tab.y"
{ yyval.ul = yyvsp[0].ul; ;
    break;}
case 176:
#line 699 "src/as_tab.y"
{ yyval.ul = yyvsp[0].ul ? (yyvsp[-2].ul / yyvsp[0].ul) : (yyerror("division by zero"), 0); ;
    break;}
case 177:
#line 701 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul % yyvsp[0].ul; ;
    break;}
case 178:
#line 703 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul & yyvsp[0].ul; ;
    break;}
case 179:
#line 705 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul & ~yyvsp[0].ul; ;
    break;}
case 180:
#line 707 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul | yyvsp[0].ul; ;
    break;}
case 181:
#line 709 "src/as_tab.y"
{ yyval.ul = yyvsp[-2].ul ^ yyvsp[0].ul; ;
    break;}
case 182:
#line 713 "src/as_tab.y"
{ yyval.ul = yyvsp[0].ul; ;
    break;}
case 183:
#line 715 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul; ;
    break;}
case 184:
#line 717 "src/as_tab.y"
{ yyval.ul = - yyvsp[0].ul; ;
    break;}
case 185:
#line 719 "src/as_tab.y"
{ yyval.ul = yyvsp[0].ul; ;
    break;}
case 186:
#line 721 "src/as_tab.y"
{ yyval.ul = ~yyvsp[0].ul; ;
    break;}
case 187:
#line 723 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul; ;
    break;}
case 188:
#line 725 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul & 0xffUL; ;
    break;}
case 189:
#line 727 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul >> 8; ;
    break;}
case 190:
#line 729 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul & 0xffffUL; ;
    break;}
case 191:
#line 731 "src/as_tab.y"
{ yyval.ul = yyvsp[-1].ul >> 16; ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 543 "~/share/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (int) (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (int) (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;

 yyacceptlab:
  /* YYACCEPT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 0;

 yyabortlab:
  /* YYABORT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 1;
}
#line 733 "src/as_tab.y"
